Subject: Re: bug#8627: 24.0.50: cursor property behaves irregularly in before-strings

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Dec 2021 22:44:50 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Alp Aker <[email-masked]>,  [email-masked]
> Date: Sat, 04 Dec 2021 21:22:44 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > This cannot possibly work, not without rewriting the Emacs display
> > engine in ways I don't intend to.  Quite simply, you cannot put the
> > `cursor' property on a newline that belongs to a string, because a
> > newline, obviously, doesn't have a graphic representation (a glyph) on
> > the screen, it just causes Emacs to continue drawing on the next
> > screen line.
> 
> [...]
> 
> > I will eventually update the documentation with this caveat.
> 
> This was ten years ago -- I didn't check whether the documentation has
> been updated, but there doesn't seem to be anything more to do here than
> that?

I promised to fix at least some of the behavior, but never did.  I
will take a look soon.